base-4.18.1.0: Basic libraries

Copyright | (c) Adam Gundry 2015-2016
License | see libraries/base/LICENSE
Maintainer | cvs-ghc@haskell.org
Stability | internal
Portability | non-portable (GHC extensions)
Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Records

Description

This module defines the `HasField` class used by the `OverloadedRecordFields` extension. See the <https://gitlab.haskell.org/ghc/ghc/wikis/records/overloaded-record-fields wiki page> for more details.

Synopsis

- class HasField x r a | x r -> a where
  - getField :: r -> a

# Documentation

class HasField x r a | x r -> a where Source #

Constraint representing the fact that the field `x` belongs to the record type `r` and has field type `a`. This will be solved automatically, but manual instances may be provided as well.

Methods

getField :: r -> a Source #

Selector function to extract the field from the record.